controls = [[Arrow Keys: scroll
Left Mouse: clicky clicky things
Right Mouse: un-clicky clicky things
Space Bar: end turn/survey/mine
S: toggle survey on/off
U: turn hauler into mining platform
P: turn mining platform into hauler
H: centers screen on main platform
M: show moves for a selected unit
T: toggle cursor mode]]

function printControls()
	love.graphics.print(controls, win_w - 240, 10)
end

function printInfo()
	love.graphics.setFont( large_font)
	if cursor == "game_menu" then
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Menu", 10, 5)
	love.graphics.setFont( small_font)
	love.graphics.setColor( 255,255,255,255 )
	love.graphics.print( "("..x_m..","..y_m..")", 10,25)
	love.graphics.print( "("..i_..","..j_..")", 10,35)
	love.graphics.print("Turn Number: "..turn_num,10,45)
	love.graphics.print("Ore Store: "..ore_stored, 10, 55)
	love.graphics.print("Cash: "..cash, 10, 65)
	love.graphics.print("Shuttle Launch in "..shuttle_launch_at - shuttle_launch.." rounds.", 10, 75)
	love.graphics.print(cursor, 10, 85)
	if show_survey == true then
		love.graphics.print("Survey On", 10,95)
	end
end

function drawEquip()
	for i,v in ipairs(population["equip"]) do
		if selected_id[2] == v.id_num then
			love.graphics.drawq(quadImage, hex,v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
			love.graphics.setColor( 0,0,255,255 )
			love.graphics.print( "("..v.hex_i..","..v.hex_j..")", v.hex_i*s+r-15, 10+v.hex_j*h + v.hex_i%2*(h/2))
			love.graphics.setColor( 255,255,255,255 )
		end
		if v.title == "hauler" then
			love.graphics.drawq(quadImage, hauler,v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
			
			if v.ore_stored == v.ore_max then
				love.graphics.setColor( 255,0,0,255 )
			else
				love.graphics.setColor( 0,200,0,255 )
			end
			love.graphics.rectangle( "fill", v.hex_i*s+r -(r*(v.ore_stored/v.ore_max))/2, v.hex_j*h+v.hex_i%2*(h/2)+5 , r*(v.ore_stored/v.ore_max), 6 )
		else 
			love.graphics.drawq(quadImage, surveyer,v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
		end
	end
end

function drawBuildings()
	for i,v in ipairs(population["buildings"]) do
		love.graphics.drawq(quadImage, platform, v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
		if selected_id[2] == v.id_num then
			love.graphics.drawq(quadImage, hex,v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
			love.graphics.setColor( 0,0,255,255 )
			love.graphics.print( "("..v.hex_i..","..v.hex_j..")", v.hex_i*s+r-15, 10+v.hex_j*h + v.hex_i%2*(h/2))
			love.graphics.setColor( 255,255,255,255 )
			if surveyed[""..v.hex_i..","..v.hex_j..""] then
				love.graphics.print(surveyed[""..v.hex_i..","..v.hex_j..""][1][3], surveyed[""..v.hex_i..","..v.hex_j..""][1][1]*s+7, surveyed[""..v.hex_i..","..v.hex_j..""][1][2]*h + surveyed[""..v.hex_i..","..v.hex_j..""][1][1]%2*(h/2) + h/2)
			end
		end
		if v.title == "platform" then
			if v.ore_stored == v.ore_max then
				love.graphics.setColor( 255,0,0,255 )
			else
				love.graphics.setColor( 0,200,0,255 )
			end
			if v.ore_stored ~= 0 then
				love.graphics.rectangle( "fill", v.hex_i*s+r -(r*(v.ore_stored/v.ore_max))/2, v.hex_j*h+v.hex_i%2*(h/2)+5 , r*(v.ore_stored/v.ore_max), 6 )
			end
		end
		if v.title == "main platform" then
			love.graphics.setColor(255,0,0,255)
			love.graphics.print("Main", v.hex_i*s+r-15, v.hex_j*h+v.hex_i%2*(h/2)+r/2+5)
		end
	end
	if next(eligible) then
		for _,sub in pairs(eligible) do
			for i,v in ipairs(sub) do 
				love.graphics.drawq(quadImage, hex,sub[1][1]*s, sub[1][2]*h+sub[1][1]%2*(h/2))
				love.graphics.setColor( 0,200,0,255 )
				love.graphics.print(sub[1][3], sub[1][1]*s+r-7, h-20+sub[1][2]*h + sub[1][1]%2*(h/2))
			end
		end
	end
end

function shuttleDraw()
	if cursor == "game_menu" then
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Menu", 10, 5)
	love.graphics.setColor( 255,255,255,255 )
	love.graphics.print("Cash: "..cash, 10,25)
	love.graphics.print(""..s_x..","..s_y.."",10,45)
	love.graphics.print("Click on a Unit to Purchase", win_w/2-100, win_h/2)
	if cursor == "buy_surveyor" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Buy a Surveyor; Cost $500", win_w/2-100, win_h/2 + 20)
	love.graphics.setColor( 255,255,255,255 )
	if cursor == "buy_hauler" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Buy a Hauler; Cost $1000", win_w/2-100, win_h/2 + 40)
	love.graphics.setColor( 255,255,255,255 )
	love.graphics.print("Hit space to return", win_w/2-100, win_h/2 + 60)
end

function mainMenuDraw()
	love.graphics.setColor( 0,0,250,255 )
	if cursor == "new_game" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("New Game", win_w/2-100, win_h/2)
	love.graphics.setColor( 0,0,250,255 )
	if cursor == "continue_game" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	if not turn_num then
		love.graphics.setColor(240,240,240,255 )
	end
	love.graphics.print("Continue Game", win_w/2-100, win_h/2 + 20)
	love.graphics.setColor( 0,0,250,255 )
	if cursor == "how_to_play" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("How to Play", win_w/2-100, win_h/2 + 40)
	love.graphics.setColor( 0,0,250,255 )
	if cursor == "exit_game" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Exit", win_w/2-100, win_h/2 + 60)
end