function checkEligible(id,travel) --finds all eligible moves from pos up to max moves
	local _queue_ = {{population["equip"][id].hex_i,population["equip"][id].hex_j}} --grids to be looked at next cycle	
	local tr_ = 0 --counts the number of moves from origin, by cycle
	local pass = false
	local run = true
	eligible[""..population["equip"][id].hex_i..","..population["equip"][id].hex_j..""] = {}
	table.insert(eligible[""..population["equip"][id].hex_i..","..population["equip"][id].hex_j..""],
		{population["equip"][id].hex_i,population["equip"][id].hex_j,0}) --adds the starting point
	while run == true do
		queue = {} --clears this array so we don't look at the same grids again
		queue = _queue_ --adds the the new set to be looked at
		_queue_ = {} --clears the array so we can add the next cycle set to it
		blocked = false
		tr_ = tr_ + 1
		for i,v in ipairs(queue) do
			if v[1]%2 == 0 then -- v = neigbors 
				neighbors_ = neighbors_even
			else
				neighbors_ = neighbors_odd
			end
			for j,w in ipairs(neighbors_) do
				m,n = v[1]+w[1],v[2]+w[2] --the hex coordinates of the hex being looked at
				--[[check so see if the current hex is in the list of already checked or 
				or out side the bounds of the game, if so this new hex is passed]]
				for name,sub in pairs(eligible) do
					if ""..m..","..n.."" == name then 
						pass = true
					end
					if m < 0 or m > 29 then
						pass = true
					end
					if n <0 or n > 29 then
						pass = true
					end
				end
				--if the new hex survived so far, check it against objects
				if pass ~= true then 
					for o,a in ipairs(population["craters"]) do --a = craters
						if m == a.hex_i and n == a.hex_j then
							blocked = true
						end
					end
					for o,a in ipairs(population["equip"]) do --a = equipment
						if a.mode ~= "moving" then
							if m == a.hex_i and n == a.hex_j then
								blocked = true
							end
						end
					end
					for o,a in ipairs(population["buildings"]) do --a = craters
						if m == a.hex_i and n == a.hex_j then
							blocked = true
						end
					end
					for name, sub in pairs(movement) do
						if m == sub[#sub][1] and n == sub[#sub][2] then
							blocked = true
						end
					end
						
				end
				--if all is good so far add that bad boy to the eligible list!
				 if pass ~= true then
				 	if blocked ~= true then
				 		grid_name = ""..m..","..n..""
				 		eligible[grid_name] = {}
						table.insert(eligible[grid_name], {m,n,tr_,v[1],v[2]})
						--{hex pos i, hex pos j, moves from origin, parent i, parent j}
						--{1        , 2        , 3                , 4       , 5       }
						table.insert(_queue_, {m,n})
					end
				end
				pass = false
				blocked = false
			end
		end
		if tr_ == travel then --once tr_ reaches the max travel distance, stop the search
			run = false
		end
	end
end

function endTurn()
	eligible = {}
	selected_id = {}
	hover_id = {}
	local neighbors_ = {}
	for i,v in ipairs(population["equip"]) do
		v.move_left = v.move_max
		if v.title == "surveyor" then
			surveySurround(v.hex_i,v.hex_j)	--game/units
		end
	end
	turn_num = turn_num +1
	shuttle_launch = shuttle_launch + 1
	for i,v in ipairs(population["buildings"]) do 
		if v.title == "platform" then
			if v.hex_i%2 == 0 then 
				neighbors_ = neighbors_even
			else
				neighbors_ = neighbors_odd
			end
			for p,q in ipairs(population["equip"]) do 
				if q.title == "hauler"  and q.ore_max ~= q.ore_stored then 
					for m,n in ipairs(neighbors_) do 
						if q.hex_i == n[1]+v.hex_i and q.hex_j == n[2]+v.hex_j then
							to_transfer = q.ore_max - q.ore_stored
							if to_transfer > v.ore_stored then
								q.ore_stored = q.ore_stored + v.ore_stored
								v.ore_stored = 0
							else
								q.ore_stored = q.ore_stored + to_transfer
								v.ore_stored = v.ore_stored - to_transfer
							end
						end
					end
				end
			end
			if surveyed[""..v.hex_i..","..v.hex_j..""] then
				if surveyed[""..v.hex_i..","..v.hex_j..""][1][3] >0  and v.ore_stored < v.ore_max then
					surveyed[""..v.hex_i..","..v.hex_j..""][1][3] = surveyed[""..v.hex_i..","..v.hex_j..""][1][3] - 1
					v.ore_stored = v.ore_stored +1
					--ore_stored = ore_stored +1
				end
			end
		end
		if v.title == "main platform" then
			for p,q in ipairs(population["equip"]) do 
				if q.title == "hauler" then 
					for m,n in ipairs(neighbors_odd) do 
						if q.hex_i == n[1]+v.hex_i and q.hex_j == n[2]+v.hex_j then
							ore_stored = ore_stored + q.ore_stored
							q.ore_stored = 0
						end
					end
				end
			end
		end
	end
end

function animateMoves(dt)
	for name, sub in pairs(movement) do
		for i,v in ipairs(population["equip"]) do
			if tostring(v.id_num) == name then
				if v.animation_timer > .4 then
					v.hex_i,v.hex_j = sub[1][1],sub[1][2]
					table.remove(movement[name],1)
					v.animation_timer=0
					if #movement[name] == 0 then
						v.mode = "none"
						movement[name] = nil
						if selected_id[2] == v.id_num and v.move_left > 0 then
							checkMovement(i,v.move_left) 
						end
					end
				else
					v.animation_timer = v.animation_timer  + dt
				end
			end
		end
	end
	if not next(movement) then
		animate_move = false
	end
end

function buySell()
	s_x, s_y = love.mouse.getPosition( )
	if shuttle_launch == shuttle_launch_at then
		cash = cash + ore_stored*100 - 500 --$500 for cost of fuel and stuffs
		ore_stored = 0
		shuttle_launch = shuttle_launch + 1
	end
	if (s_x >= win_w/2-100 and s_x <= win_w/2+170) and (s_y >= win_h/2 + 20 and s_y <=win_h/2 + 40) then
		cursor = "buy_surveyor"
	elseif (s_x >= win_w/2-100 and s_x <= win_w/2+170) and (s_y >= win_h/2 + 40 and s_y <=win_h/2 + 60) then
		cursor = "buy_hauler"
	else
		cursor = "none"
	end
	if (s_x >= 12 and s_x <= 66) and (s_y >= 8  and s_y <= 24) then
		cursor = "game_menu"
	end
end

function mainMenu()
	s_x, s_y = love.mouse.getPosition( )
	if (s_x >= win_w/2-100 and s_x <= win_w/2+170) and (s_y >= win_h/2  and s_y <=win_h/2 + 20) then
		cursor = "new_game"
	elseif (s_x >= win_w/2-100 and s_x <= win_w/2+170) and (s_y >= win_h/2 + 20 and s_y <=win_h/2 + 40) and turn_num then
		cursor = "continue_game"
	elseif (s_x >= win_w/2-100 and s_x <= win_w/2+170) and (s_y >= win_h/2 + 40 and s_y <=win_h/2 + 60) then
		cursor = "how_to_play"
	elseif (s_x >= win_w/2-100 and s_x <= win_w/2+170) and (s_y >= win_h/2 + 60 and s_y <=win_h/2 + 80) then
		cursor = "exit_game"
	else
		cursor = "none"
	end
end