function newGame()
	show_survey = true 
	show_ore = false
	animate_move = false
	show_hex = false
	show_controls = false
	game_menu = false
	population = {}
	population["craters"] = {}
	population["equip"] = {}
	population["buildings"] = {} 
	eligible = {}
	ore = {}
	surveyed = {}
	movement = {}
	selected_id = {}
	hover_id = {}
	turn_num = 0
	shuttle_launch_at = 10
	shuttle_launch = 0
	ore_stored = 0
	cash = 100
	id_num_ = 1
	math.randomseed( os.time() )
	for i=1,5 do
		math.random()
	end
	setCraters()		--game/init.lua
	setEquip()			--game/init.lua
	setOre()			--game/init.lua
	endTurn()
end

function setCraters()
	for c = 1,150 do
		t = true
		while t == true do
			_t = false
			_q_ = math.random(0,max_hex - 1)
			_r_ = math.random(0,max_hex - 1)
			for i,v in ipairs(population["craters"]) do
				if _q_ == v.hex_i and _r_ == v.hex_j then
					_t = true
				end
			end
			if _q_ == mid_hex and _r_ == mid_hex then
				_t = true
			end
			for i,v in ipairs(neighbors_odd) do 
				if _q_ == mid_hex+v[1] and _r_ == mid_hex+v[2] then
					_t = true
				end
			end
			if _t ~= true then
				t = false
				crater_sb:addq( crater, _q_*s, _r_*h+_q_%2*(h/2) )
				table.insert(population["craters"],{id_num = c,hex_i = _q_,hex_j = _r_, title = "crater"})
			else
				t = true
			end
		end
	end
end

function setEquip()
	table.insert(population["buildings"],{id_num = id_num_, hex_i = mid_hex,hex_j = mid_hex,title = "main platform",0})
	for e =1,4 do
		if e <= 2 then
			newUnit("hauler")  --game/units.lua
		else
			newUnit("surveyor")
		end
	end
end

function setOre()
	local total_ore = 0
	local ore_ = {} --initial array so each seed hex gets looked, without looking at all the hexes
	local queue = {} --gids to be looked at
	local travel = 7
	local tr_ = 0 --counts the number of moves from origin, by cycle
	local neigbors_ = {}
	local _q_ = 0
	local _r_ = 0
	for o=1,4 do --o for ore!, set the origin of the main ore veins
		t = true
		while t == true do
			local _t = false
			if o == 1 then
				_q_ = math.random(4,max_hex/2-4)
				_r_ = math.random(4,max_hex/2-4)
			elseif o == 2 then
				_q_ = math.random(4,max_hex/2-4)
				_r_ = math.random(max_hex/2+4,max_hex-5)
			elseif o == 3 then
				_q_ = math.random(max_hex/2+4,max_hex-5)
				_r_ = math.random(4,max_hex/2-4)
			elseif o == 4 then
				_q_ = math.random(max_hex/2+4,max_hex-5)
				_r_ = math.random(max_hex/2+4,max_hex-5)
			end
			for i,v in ipairs(population["craters"]) do
				if _q_ == v.hex_i and _r_ == v.hex_j then
					_t = true
				end
			end
			if _t ~= true then
				t = false
				ore_sb:addq( hex, _q_*s, _r_*h+_q_%2*(h/2) )
				table.insert(ore_,{hex_i = _q_,hex_j = _r_,density = 100})
				table.insert(ore,{hex_i = _q_,hex_j = _r_,density = 100})
				total_ore = total_ore +100
				--{id#,hex i, hex j, type, movement max}
			else
				t = true
			end
		end
	end
	in_a_row = 0
	for a,b in ipairs(ore_) do 
		 _h_ = b.hex_i
		 _k_ = b.hex_j
		 print(_h_, _k_, a)
		 _queue_ = {{hex_i = _h_,hex_j = _k_,density = b.density}}
		run = true
		tr_ = 0 --counts the number of moves from origin, by cycle
		while run do
			local queue = {} --clears this array so we don't look at the same grids again
			queue = _queue_ --adds the the new set to be looked at
			_queue_ = {} --clears the array so we can add the next cycle set to it
			local blocked = false
			local pass = false
			tr_ = tr_ + 1
			for i,v in ipairs(queue) do
				if v.hex_i%2 == 0 then -- sees is v[1] is even or odd and select the correct neighbors
					neighbors_ = neighbors_even
				else
					neighbors_ = neighbors_odd
				end
				for j,w in ipairs(neighbors_) do
					_m,_n = v.hex_i+w[1],v.hex_j+w[2] --the hex coordinates of the hex being looked at
					--[[check so see if the current hex is in the list of already checked or 
					or out side the bounds of the game, if so this new hex is passed]]
					for _,sub in ipairs(ore) do
						if _m == sub.hex_i and _n == sub.hex_j then
							pass = true
						end
					end
					if _m < 0 or _m > max_hex - 1  then
						pass = true
					end
					if _n <0 or _n > max_hex - 1 then
						pass = true
					end
					if v.density < 10 then
						pass = true
					end
					if _m == mid_hex and _n == mid_hex then
						pass = true
					end
					if pass ~= true then
						for a,b in ipairs(neighbors_odd) do 
							if _m == mid_hex+b[1] and _n == mid_hex+b[2] then
								pass = true
							end
						end
					end
					chance = math.random(0,20-tr_)
					if chance == 0 then
						pass = true
					end
					--if the new hex survived so far, check it against objects
					if pass ~= true then 
						for num,crat in ipairs(population["craters"]) do 
							if _m == crat.hex_i and _n == crat.hex_j then
								blocked = true
							end
						end
					end
					--if all is good so far add that bad boy to the eligible list!
					if pass ~= true then
				 		if blocked ~= true then
				 			_density_ = math.random(v.density/4,v.density)
				 			ore_sb:addq( hex, _m*s, _n*h+_m%2*(h/2) )
							table.insert(ore, {hex_i = _m, hex_j = _n,density = _density_})
							table.insert(_queue_, {hex_i = _m, hex_j = _n,density = _density_})
							total_ore = total_ore + _density_
						end
					end
					pass = false
					blocked = false
				end
			end
			if tr_ == travel then --once tr_ reaches the max travel distance, stop the search
				run = false
			end
			if not next(_queue_) then
				run = false
			end
		end
	end
	print(#ore,total_ore, "#ore")
end