
function rectToHex(x_m,y_m) --returns hex coordinates from pixel/rect coordinates
	local h_c = math.floor(x_m/s) --column for rectangular tile picked by the point
	local yts = y_m-h_c%2*(h/2)  --does fancy math with even an odd y-coordinates
	local h_r = math.floor(yts/h) --row for rectangular tile picked by the point
	local xt = x_m - h_c*s
	local yt = yts - h_r*h
	if yt >h/2 then
		 _j = 1
	else
		 _j = 0
	end
	if xt > r*math.abs(.5-yt/h) then
		i_ = h_c
	else
		
		 i_ = h_c-1
		
	end
	if xt > r*math.abs(.5-yt/h) then
		 j_ = h_r
	else
		 j_ = h_r- i_%2 +_j
	end
	return i_, j_
end

function checkcursor()
	s_x, s_y = love.mouse.getPosition( )
	--see if the cursor is over an object and deal with it!
	local hit = 0 --if cursor is over anything it will be 1 instead of 0
	for _,sub in pairs(population) do
		for i,v in ipairs(sub) do --equip or craters	
			if i_ == v.hex_i and j_ == v.hex_j then
				if v.title == "crater" then
					cursor = "non-playable"
					hit = 1
				end
				if v.title == "hauler" or v.title == "surveyor" and v.mode == "none" then
					if next(selected_id) and selected_id[2] == v.id_num then
						cursor = "selected"
						hit = 1
					else
						cursor = "select"
						hit = 1
						hover_id = {i,v.id_num,v.title}
					end
				end
				if v.title == "platform" or v.title == "main platform" then
					cursor = "select"
					hit = 1
					hover_id = {i,v.id_num,v.title}
				end
			end
		end
	end
	if hit == 0 then
		cursor = "none"
	else
		hit = 0
	end
	if next(eligible) then
		for _,sub in pairs(eligible) do 
			if i_ == sub[1][1] and j_ == sub[1][2] then
				cursor = "move"
			end
		end
	end
	if (s_x >= 12 and s_x <= 66) and (s_y >= 8  and s_y <= 24) then
		cursor = "game_menu"
	end
	if game_menu == true then
	end
end

function checkCamera()--sets the camera so it follows the boundries of the world
	if love.keyboard.isDown( "right" ) then
		c__x = c_x
		c_x = c_x + 10
		if c_x > world["width"]-win_w/2 then --checks to see if c_x is too big
			c_x = c__x
		end
	end
	if love.keyboard.isDown( "left" ) then
		c__x = c_x
		c_x = c_x - 10
		if c_x < win_w/2 then --checks to see if c_x is too big
			c_x = c__x
		end
	end
	if love.keyboard.isDown( "down" ) then
		c__y = c_y
		c_y = c_y + 10
		if c_y > world["height"]-win_h/2 then --checks to see if c_x is too big
			c_y = c__y
		end
	end
	if love.keyboard.isDown( "up" ) then
		c__y = c_y
		c_y = c_y - 10
		if c_y < win_h/2 then --checks to see if c_x is too big
			c_y = c__y
		end
	end
	camera.pos = vector(c_x,c_y)
end


function checkMovement(id)
	if population["equip"][id].move_left > 0 then
		if not next(eligible) then
			checkEligible(id,population["equip"][id].move_left) --"game/game"
		else
			eligible = {}
		end
	end
end

function setMoveOrder(i,j)
	local track_1, track_2 = i,j --back tracking coordinates to get path
	movement[tostring(selected_id[2])] = {}
	table.insert(movement[tostring(selected_id[2])],1,{track_1,track_2})
	--{next hex i, next hex j}
	for moves = 1,eligible[""..track_1..","..track_2..""][1][3]-1 do
		name = ""..track_1..","..track_2..""
		parent_i, parent_j = eligible[name][1][4],eligible[name][1][5] --parent to movent hex
		table.insert(movement[tostring(selected_id[2])],1,{parent_i, parent_j})
		track_1, track_2 = parent_i, parent_j
	end
end
